Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## madkit.share
Class PluginServerAgent

    java.lang.Object
      madkit.kernel.AbstractAgent
          madkit.kernel.Agent
              madkit.share.AbstractServerAgent
                  madkit.share.PluginServerAgent

All Implemented Interfaces:
  java.io.Serializable, java.lang.Runnable

    public class PluginServerAgent

extends AbstractServerAgent

Author:
  Jaco To change the template for this generated type comment go to Window>Preferences>Java>Code Generation>Code and Comments
See Also:
  Serialized Form

Field Summary
`java.lang.String` | `pluginsPath`

Fields inherited from class madkit.share.AbstractServerAgent
`madkitDirectory, separator`

Constructor Summary
`PluginServerAgent()`

Method Summary
`void` | `activate()` This method is initially called when the micro-kernel registers the agent.
`void` | `dirPluginIndex(java.lang.String virtualPath, java.lang.String realPath, ListFic index)`
`void` | `end()` This method is called by the agent micro-kernel at the end of the agent lifecycle.
`FicDataBase` | `getData()`
`void` | `initDir()`
`void` | `initPluginsDataBase(FicDataBase dataBase)`
`void` | `live()` This method defines the main behavior for threaded agents.

Methods inherited from class madkit.share.AbstractServerAgent
`changeGroup, changeRole, getGroupName, getRoleName, removeSmallSenderAgent, setGroupName, setRoleName`

Methods inherited from class madkit.kernel.Agent
`connectAgencyToAgency, createPlace, createPlace, enableMobility, enableMobility, exitImmediatlyOnKill, getAgencyNamed, joinPlace, joinPlace, joinPlace, pause, receiveMessage, run, waitNextMessage, waitNextMessage`

Methods inherited from class madkit.kernel.AbstractAgent
`broadcastMessage, broadcastMessage, connectedWithCommunity, createGroup, createGroup, debug, disposeMyGUI, foundGroup, getAddress, getAgentInformation, getAgentsWithRole, getAgentsWithRole, getAgentWithRole, getAgentWithRole, getAvailableCommunities, getBean, getController, getCurrentKernelAddress, getDebug, getExistingGroups, getExistingGroups, getExistingRoles, getExistingRoles, getGroups, getGUIObject, getMessageBoxSize, getMyGroups, getMyGroups, getMyRoles, getMyRoles, getName, getRoles, hasGUI, initGUI, isBelongingToGroup, isBelongingToGroup, isCommunity, isGroup, isGroup, isMemberOf, isMemberOf, isMessageBoxEmpty, isRole, isRole, joinGroup, killAgent, launchAgent, launchAgent, leaveGroup, leaveGroup, leaveRole, leaveRole, nextMessage, print, println, redisplayMyGUI, requestRole, requestRole, requestRole, restoreAgent, sendMessage, sendMessage, sendMessage, setBean, setController, setDebug, setGUIObject, setName, setOutput, setOutputWriter, windowClosing`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pluginsPath

    public java.lang.String pluginsPath

Constructor Detail

### PluginServerAgent

    public PluginServerAgent()

Method Detail

### getData

    public FicDataBase getData()

  Overrides:
    `getData` in class `AbstractServerAgent`

### activate

    public void activate()

  Description copied from class: `AbstractAgent`
  This method is initially called when the micro-kernel registers the agent. Usually a good place to set up some initial groups and roles.

  Overrides:
    `activate` in class `AbstractAgent`

### live

    public void live()

  Description copied from class: `Agent`
  This method defines the main behavior for threaded agents.

  Overrides:
    `live` in class `Agent`

### end

    public void end()

  Description copied from class: `AbstractAgent`
  This method is called by the agent micro-kernel at the end of the agent lifecycle. If the the agent is killed from the outside, it is the last opportunity for the agent to cleanly shutdown its operations.

  Overrides:
    `end` in class `AbstractAgent`

### initDir

    public void initDir()

### dirPluginIndex

    public void dirPluginIndex(java.lang.String virtualPath,
                               java.lang.String realPath,
                               ListFic index)

### initPluginsDataBase

    public void initPluginsDataBase(FicDataBase dataBase)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.